org.apache.lucene.search

## Enum SortedSetSelector.Type

- java.lang.Object
- - java.lang.Enum<SortedSetSelector.Type>
  - - org.apache.lucene.search.SortedSetSelector.Type

All Implemented Interfaces:
  Serializable, Comparable<SortedSetSelector.Type>

Enclosing class:
  SortedSetSelector

    public static enum SortedSetSelector.Type
    extends Enum<SortedSetSelector.Type>

Type of selection to perform.

Limitations:

- Fields containing `Integer.MAX_VALUE` or more unique values are unsupported.
- Selectors other than (`MIN`) require optional codec support. However several codecs provided by Lucene, including the current default codec, support this.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MAX` Selects the maximum value in the set
`MIDDLE_MAX` Selects the middle value in the set.
`MIDDLE_MIN` Selects the middle value in the set.
`MIN` Selects the minimum value in the set

### Method Summary

All Methods Static Methods Concrete Methods
`static SortedSetSelector.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SortedSetSelector.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MIN

    public static final SortedSetSelector.Type MIN

Selects the minimum value in the set

#### MAX

    public static final SortedSetSelector.Type MAX

Selects the maximum value in the set

#### MIDDLE_MIN

    public static final SortedSetSelector.Type MIDDLE_MIN

Selects the middle value in the set.

If the set has an even number of values, the lower of the middle two is chosen.

#### MIDDLE_MAX

    public static final SortedSetSelector.Type MIDDLE_MAX

Selects the middle value in the set.

If the set has an even number of values, the higher of the middle two is chosen

### Method Detail

#### values

    public static SortedSetSelector.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SortedSetSelector.Type c : SortedSetSelector.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SortedSetSelector.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null